aliens

Author Topic: OXCE v7.5.3 MacOS  (Read 21323 times)

Offline Stoddard

  • Colonel
  • ****
  • Posts: 485
  • in a fey mood
    • View Profile
    • Linux builds & stuff
Re: OXCE v5.3 for MacOS
« Reply #15 on: March 10, 2019, 10:46:15 pm »
It is definitely possible to upgrade OS to a later one, however I try to avoid that. 

Wait a couple days more. Might be we'll make 10.9-ish macOS builds build.


Edit: can you please try out this experimental build: https://lxnt.wtf/oxem/builds//ExtendedTests/OpenXcom-..017f4e4-Darwin.dmg ?
« Last Edit: March 12, 2019, 04:27:08 pm by Stoddard »

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 7380
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #16 on: March 12, 2019, 04:35:52 pm »
<bump>
editing a message doesn't create a notification :)

@jasem: please see above

Offline Stoddard

  • Colonel
  • ****
  • Posts: 485
  • in a fey mood
    • View Profile
    • Linux builds & stuff
Re: OXCE v5.3 for MacOS
« Reply #17 on: March 13, 2019, 04:10:42 pm »

Offline jasem

  • Squaddie
  • *
  • Posts: 6
    • View Profile
Re: OXCE v5.3 for MacOS
« Reply #18 on: March 16, 2019, 12:57:06 pm »
Hi 

This latest linked build (new and less confusing) posted by Stoddard WORKS!

I don't know how you did it, but It's working like a charm.

You guys are the best, Thank you!!

P.S. Sorry about late reply but... work and life.

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 7380
    • View Profile
Re: OXCE v5.4 for MacOS
« Reply #19 on: April 22, 2019, 04:39:28 pm »
OXCE 5.4 for OSX is ready.

Download: https://openxcom.org/forum/index.php/topic,5258.0.html

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 7380
    • View Profile
Re: OXCE v5.6.1 for MacOS
« Reply #20 on: August 03, 2019, 08:42:56 pm »
OXCE 5.6.1 for OSX is ready.

Download: https://openxcom.org/forum/index.php/topic,5258.0.html

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 7380
    • View Profile
Re: OXCE v6.0 for MacOS
« Reply #21 on: October 13, 2019, 11:18:05 am »
OXCE v6.0 for OSX is ready.

Download: https://openxcom.org/forum/index.php/topic,5258.0.html

Offline JH4C

  • Squaddie
  • *
  • Posts: 2
    • View Profile
Re: OXCE v6.2 for MacOS
« Reply #22 on: December 07, 2019, 06:19:28 pm »
Just wanted to say the current MacOS build (labelled as 10.15 compatible) also works on 10.13 machines, in case anyone else is resisting the push to 64-bit-only apps. I have no problem with 64-bit apps, but some of my oldest, best-friend apps are 32-bit so I really don't want to go to Catalina if I can in any way avoid it!

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 7380
    • View Profile
Re: OXCE v6.2 for MacOS
« Reply #23 on: December 07, 2019, 07:47:20 pm »
Just wanted to say the current MacOS build (labelled as 10.15 compatible) also works on 10.13 machines, in case anyone else is resisting the push to 64-bit-only apps. I have no problem with 64-bit apps, but some of my oldest, best-friend apps are 32-bit so I really don't want to go to Catalina if I can in any way avoid it!

Thanks for confirming this!
That makes my life a lot easier too.

Offline Fox Mulder

  • Sergeant
  • **
  • Posts: 15
    • View Profile
Re: OXCE v7.1.4 MacOS
« Reply #24 on: December 08, 2021, 07:31:45 pm »
Hi, on Mojave openXcom version 7.0 works ok on last Area 51, if installing 7.1.4 I have this:

C:\GAMES\OPENXCOM>openxcom
DOS/4GW“ Protected Mode Run—time Uersion 1.9

Copyright (e) Rational Systems. Inc. 1990—1993

OpenXcom initialisation

SoundBlaster Sound Effects
SoundBlaster Music
Base Port 220 Irq 7 Dma 1

ERROR: During linking rulesets of armors:

Error for ’FEMALE_CIUILIAN10_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN11_ARMOR The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN12_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN13_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN14_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN15_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN16_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN17_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN18_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN19_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN2_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN3_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN4_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11) '
Error for ’FEMALE_CIUILIAN5_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN6_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for 'FEMALE_CIUILIAN7_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN8_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN9_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN0_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN1_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN2_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN3_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for 'HUMAN_JUMPSUIT_ARMOR2_2’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_3’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_4’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_5’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_6’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_7’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’MALE_CIUILIAN10_ARMOR’: The first battle corpse item must be of item type ’eorpse’ (battleType: 11)
Error for ’MALE_CIUILIAN11_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)

More details here: /Users/xxxxx/Library/application Support/Openxcom/openxcom.log
Make sure Openxcom and any mods are installed correctly.

Press any key to continue.

Any ideas?
Thank You

Offline R1dO

  • Colonel
  • ****
  • Posts: 374
    • View Profile
    • Email
Re: OXCE v7.1.4 MacOS
« Reply #25 on: December 08, 2021, 10:26:30 pm »
Looks like sanity checks in the new version got a bit more strict.

Unless the OXCE devs are planning to downgrade that specific error to a warning you have to adapt the ruleset files yourself to fix it [A].
Steps needed to be taken:

1) Navigate to the folder called "Ruleset" in the mod.
2) Open the file named "armors_Area_51.rul" and for each error lookup the corresponding section (named armor from the error).
    Take note of the property "corpseBattle". See snippet below how that will look like.

Code: [Select]
  - type: FEMALE_CIVILIAN10_ARMOR
    spriteInv: INV_FEMALE_CIVILIAN
    spriteSheet: FEMALE_CIVILIAN10.PCK
    spriteFaceGroup: 6
    spriteFaceColor: [96, 96, 96, 96, 160, 160, 163, 163]
    corpseBattle:
      - STR_FEMALE_CIVILIAN10_CORPSE
    frontArmor: 2
...

3) Open the file named "items_Area_51.rul" and search for the item with the corresponding name from the previous "corpseBattle".
    Those items have a missing "    battleType: 11" entry, you have to paste that in.

    Example
From:
Quote
  - type: STR_FEMALE_CIVILIAN10_CORPSE
    name: STR_CORPSE
    weight: 25
    bigSprite: 436
    floorSprite: 489
    invWidth: 2
    invHeight: 3
    armor: 12
    recover: false
To:
Quote
  - type: STR_FEMALE_CIVILIAN10_CORPSE
    name: STR_CORPSE
    weight: 25
    bigSprite: 436
    floorSprite: 489
    invWidth: 2
    invHeight: 3
    armor: 12
    recover: false
    battleType: 11

Hope this helps.

[A] Area 51 is officially not available for download anymore. It is unlikely the author can/will fix this for you.

Offline The Martian

  • Commander
  • *****
  • Posts: 609
  • "It implores you to listen to its arguments..."
    • View Profile
Re: OXCE v7.1.4 MacOS
« Reply #26 on: December 09, 2021, 01:06:33 pm »
Hi, on Mojave openXcom version 7.0 works ok on last Area 51, if installing 7.1.4 I have this:

Spoiler:
C:\GAMES\OPENXCOM>openxcom
DOS/4GW“ Protected Mode Run—time Uersion 1.9

Copyright (e) Rational Systems. Inc. 1990—1993

OpenXcom initialisation

SoundBlaster Sound Effects
SoundBlaster Music
Base Port 220 Irq 7 Dma 1

ERROR: During linking rulesets of armors:

Error for ’FEMALE_CIUILIAN10_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN11_ARMOR The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN12_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN13_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN14_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN15_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN16_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN17_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN18_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN19_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN2_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN3_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN4_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11) '
Error for ’FEMALE_CIUILIAN5_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN6_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for 'FEMALE_CIUILIAN7_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN8_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’FEMALE_CIUILIAN9_ARMOR': The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN0_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN1_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN2_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HERO_CIUILIAN3_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for 'HUMAN_JUMPSUIT_ARMOR2_2’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_3’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_4’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_5’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_6’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’HUMAN_JUMPSUIT_ARMOR2_7’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)
Error for ’MALE_CIUILIAN10_ARMOR’: The first battle corpse item must be of item type ’eorpse’ (battleType: 11)
Error for ’MALE_CIUILIAN11_ARMOR’: The first battle corpse item must be of item type ’corpse’ (battleType: 11)

More details here: /Users/xxxxx/Library/application Support/Openxcom/openxcom.log
Make sure Openxcom and any mods are installed correctly.

Press any key to continue.

Any ideas?
Thank You

Here is a patch I made to allow Area 51 (v0.972) (Created by Hobbes) to work with OpenXcom Extended (V7-1-4):
Area51Patch V1-3.zip

It fixes the following problems that were preventing the mod from loading:
. Several built-in enemy weapons now have a blank sprite.
. Zombies now have a corpse.
. Several unit corpses now have been assigned as battleType: 11.


I haven't tested this patch much but everything seems to run and the mod now loads without a problem.

To use the patch just make sure it loads after Area 51:
« Last Edit: December 09, 2021, 01:17:32 pm by The Martian »

Offline Fox Mulder

  • Sergeant
  • **
  • Posts: 15
    • View Profile
Re: OXCE v7.1.4 MacOS
« Reply #27 on: December 09, 2021, 01:26:48 pm »
Hi, thanks for the patch, I was changing the items_area51.rul as R1d0 said, left only the zombie corpse, I was figuring how to do it.
I simply copied Area51Patch.rul in Ruleset and BigOb_Blank.png in Resources, and it worked, in the mods I still have Area51 only. Hoping this way is the same..

Thanks again

Fox
« Last Edit: December 09, 2021, 01:29:16 pm by Fox Mulder »

Offline Fox Mulder

  • Sergeant
  • **
  • Posts: 15
    • View Profile
Re: OXCE v7.4 MacOS
« Reply #28 on: January 11, 2022, 03:18:26 pm »
Hi, any idea of when the fix to 7.1.4 for MacOS Monterey will be available? End of January is confirmed?

Offline Meridian

  • Global Moderator
  • Commander
  • ***
  • Posts: 7380
    • View Profile
Re: OXCE v7.4 MacOS
« Reply #29 on: January 11, 2022, 04:19:16 pm »
Hi, any idea of when the fix to 7.1.4 for MacOS Monterey will be available? End of January is confirmed?

No sorry, BigSur and Monterey are not supported at all... and likely won't be supported for a long time.
(There's no fix for it, Apple just dropped support for the technology we use; and upgrading to newer technology is difficult.)

End of January is just when I will update the package from 7.1.4 to 7.4 (or the newest at that time).
Support is only for Catalina and older.